from fastapi import FastAPI
from app.api.todos import router as todos_router
from app.db.database import create_db_and_tables

app = FastAPI(
    title="SimpleTodoApp",
    description="A simple todo application API",
    version="0.1.0",
)

@app.on_event("startup")
def on_startup():
    create_db_and_tables()

@app.get("/health", tags=["Health"])
def health_check():
    return {"status": "healthy"}

app.include_router(todos_router, prefix="/api")

if __name__ == "__main__":
    import uvicorn
    uvicorn.run("main:app", host="0.0.0.0", port=8000, reload=True)